<template>
  <v-app dark>
    <v-navigation-drawer
      v-model="drawer"
      :mini-variant="miniVariant"
      :clipped="clipped"
      fixed
      app
    >
      <v-list>
        <v-list-item to="/" router exact>
          <v-list-item-action>
            <v-icon>mdi-view-list</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>К моим статьям</v-list-item-title>
          </v-list-item-content>
        </v-list-item>

        <v-list-item to="/add-post" router exact>
          <v-list-item-action>
            <v-icon>mdi-note-plus</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>Добавить статью</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-app-bar
      :clipped-left="clipped"
      fixed
      app
    >
      <v-app-bar-nav-icon @click.stop="drawer = !drawer" />
      <v-btn icon @click.stop="miniVariant = !miniVariant">
        <v-icon>mdi-{{ `chevron-${miniVariant ? 'right' : 'left'}` }}</v-icon>
      </v-btn>
      <v-toolbar-title v-if="displayUsername" v-text="displayUsername" />
      <v-toolbar-title v-else v-text="title" />
      <v-spacer />
      <v-btn v-if="!isAuthenticated" color="primary" large to="/login">
        Вход
      </v-btn>
      <v-btn v-else color="primary" large @click="logout()">
        Выход
      </v-btn>
    </v-app-bar>
    <v-main>
      <v-container>
        <nuxt />
      </v-container>
    </v-main>
    <v-footer>
      <span>&copy; {{ new Date().getFullYear() }}</span>
    </v-footer>
  </v-app>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  data () {
    return {
      clipped: true,
      drawer: true,
      items: [
        {
          icon: 'mdi-apps',
          title: 'Welcome',
          to: '/'
        }
      ],
      miniVariant: true,
      right: true,
      rightDrawer: false,
      title: 'WNM Test'
    }
  },

  computed: {
    ...mapGetters(['isAuthenticated', 'loggedInUser']),
    displayUsername () {
      if (this.isAuthenticated) {
        return this.loggedInUser.user.fullName
      } else {
        return ''
      }
    }
  },

  methods: {
    async logout () {
      await this.$auth.logout()

      this.$router.push('/login')
    }
  }
}
</script>
